import { Persistent } from 'entropic-bond';
interface Name {
    firstName: string;
    lastName: string;
    ancestorName?: {
        father?: string;
        mother?: string;
    };
}
export declare class SubClass extends Persistent {
    set year(value: number);
    get year(): number;
    private _year;
}
export declare class TestUser extends Persistent {
    set name(value: Name);
    get name(): Name;
    set age(value: number);
    get age(): number;
    set admin(value: boolean);
    get admin(): boolean;
    set skills(value: string[]);
    get skills(): string[];
    set documentRef(value: SubClass);
    get documentRef(): SubClass;
    set manyRefs(value: SubClass[]);
    get manyRefs(): SubClass[];
    set derived(value: DerivedUser);
    get derived(): DerivedUser;
    set manyDerived(value: DerivedUser[]);
    get manyDerived(): DerivedUser[];
    private _name;
    private _age;
    private _admin;
    private _skills;
    private _documentRef;
    private _manyRefs;
    private _derived;
    private _manyDerived;
}
export declare class DerivedUser extends TestUser {
    set salary(value: number);
    get salary(): number;
    private _salary;
}
export {};
