import { CloudStorage, UploadControl } from 'entropic-bond';
import { EmulatorConfig } from '../firebase-helper';
export declare class FirebaseCloudStorage extends CloudStorage {
    constructor(emulator?: EmulatorConfig);
    store(id: string, data: Blob | Uint8Array | ArrayBuffer): Promise<string>;
    getUrl(reference: string): Promise<string>;
    uploadControl(): UploadControl;
    delete(reference: string): Promise<void>;
    private _uploadTask;
}
