"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DerivedUser = exports.TestUser = exports.SubClass = void 0;
const entropic_bond_1 = require("entropic-bond");
let SubClass = class SubClass extends entropic_bond_1.Persistent {
    set year(value) {
        this._year = value;
    }
    get year() {
        return this._year;
    }
};
__decorate([
    entropic_bond_1.persistent
], SubClass.prototype, "_year", void 0);
SubClass = __decorate([
    entropic_bond_1.registerPersistentClass('SubClass')
], SubClass);
exports.SubClass = SubClass;
let TestUser = class TestUser extends entropic_bond_1.Persistent {
    constructor() {
        super(...arguments);
        this._manyRefs = [];
    }
    set name(value) {
        this._name = value;
    }
    get name() {
        return this._name;
    }
    set age(value) {
        this._age = value;
    }
    get age() {
        return this._age;
    }
    set admin(value) {
        this._admin = value;
    }
    get admin() {
        return this._admin;
    }
    set skills(value) {
        this._skills = value;
    }
    get skills() {
        return this._skills;
    }
    set documentRef(value) {
        this._documentRef = value;
    }
    get documentRef() {
        return this._documentRef;
    }
    set manyRefs(value) {
        this._manyRefs = value;
    }
    get manyRefs() {
        return this._manyRefs;
    }
    set derived(value) {
        this._derived = value;
    }
    get derived() {
        return this._derived;
    }
    set manyDerived(value) {
        this._manyDerived = value;
    }
    get manyDerived() {
        return this._manyDerived;
    }
};
__decorate([
    entropic_bond_1.persistent
], TestUser.prototype, "_name", void 0);
__decorate([
    entropic_bond_1.persistent
], TestUser.prototype, "_age", void 0);
__decorate([
    entropic_bond_1.persistent
], TestUser.prototype, "_admin", void 0);
__decorate([
    entropic_bond_1.persistent
], TestUser.prototype, "_skills", void 0);
__decorate([
    entropic_bond_1.persistentReference
], TestUser.prototype, "_documentRef", void 0);
__decorate([
    entropic_bond_1.persistentReference
], TestUser.prototype, "_manyRefs", void 0);
__decorate([
    entropic_bond_1.persistentReferenceAt('TestUser')
], TestUser.prototype, "_derived", void 0);
__decorate([
    entropic_bond_1.persistentReferenceAt('TestUser')
], TestUser.prototype, "_manyDerived", void 0);
TestUser = __decorate([
    entropic_bond_1.registerPersistentClass('TestUser')
], TestUser);
exports.TestUser = TestUser;
let DerivedUser = class DerivedUser extends TestUser {
    set salary(value) {
        this._salary = value;
    }
    get salary() {
        return this._salary;
    }
};
__decorate([
    entropic_bond_1.persistent
], DerivedUser.prototype, "_salary", void 0);
DerivedUser = __decorate([
    entropic_bond_1.registerPersistentClass('DerivedUser')
], DerivedUser);
exports.DerivedUser = DerivedUser;
//# sourceMappingURL=test-user.js.map